django-hstore compatibility issue with Django 1.6

django-hstore seems to be not compatible with Django 1.6. I have this error on runserver. With Django 1.5.5 everything was correct. Any idea what could be the problem?

Note that I have changed the simplejson import by import json as mentionned in the warning but the problem persists.

C:\Python27\lib\site-packages\django_orm\postgresql\hstore\forms.py:2: Deprecati
onWarning: django.utils.simplejson is deprecated; use json instead.
from django.utils import simplejson as json

Unhandled exception in thread started by
Traceback (most recent call last):
File "C:\Python27\lib\site-packages\django\utils\autoreload.py", line 93, in w
rapper
fn(args, *kwargs)
File "C:\Python27\lib\site-packages\django\core\management\commands\runserver.
py", line 98, in inner_run
self.validate(display_num_errors=True)
File "C:\Python27\lib\site-packages\django\core\management\base.py", line 310,
in validate
num_errors = get_validation_errors(s, app)
File "C:\Python27\lib\site-packages\django\core\management\validation.py", lin
e 34, in get_validation_errors
for (app_name, error) in get_app_errors().items():
File "C:\Python27\lib\site-packages\django\db\models\loading.py", line 196, in
get_app_errors
self.populate()
File "C:\Python27\lib\site-packages\django\db\models\loading.py", line 78, in
_populate
self.loadapp(app_name)
File "C:\Python27\lib\site-packages\django\db\models\loading.py", line 99, in
load_app
models = import_module('%s.models' % app_name)
File "C:\Python27\lib\site-packages\django\utils\importlib.py", line 40, in im
port_module
import(name)
File "c:\mygeosite\geodjango\basqui\models.py", line 13, in
from shapefile.models import *
File "c:\mygeosite\geodjango\shapefile\models.py", line 3, in
from django_orm.postgresql import hstore
File "C:\Python27\lib\site-packages\django_orm\postgresql\hstore__init__.py",
line 2, in
from django_orm.postgresql.hstore.managers import HStoreManager
File "C:\Python27\lib\site-packages\django_orm\postgresql\hstore\managers.py",
line 2, in
from django_orm.postgresql.hstore.query import HStoreQuerySet
File "C:\Python27\lib\site-packages\django_orm\postgresql\hstore\query.py", li
ne 54, in
from django_orm.cache.query import CachedQuerySet
File "C:\Python27\lib\site-packages\django_orm\cache\query.py", line 4, in dule>
from django.db.models.query import ITER_CHUNK_SIZE
ImportError: cannot import name ITER_CHUNK_SIZE

Answers


happy to tell you the new version is compatible with django 1.6 and the development version supports python3 too.

Upgrade via pip and check the new official django-hstore github repository: https://github.com/djangonauts/django-hstore


Need Your Help

jquery - Checkbox Required with same name on an EDIT/MODIFY form

jquery required

I'm usig this code from Required attribute on multiple checkboxes with the same name? by Zhomart.

Why Does This Maintainability Index Increase?

c# refactoring metrics code-metrics

I would be appreciative if someone could explain to me the difference between the following two pieces of code in terms of Visual Studio's Code Metrics rules. Why does the Maintainability Index inc...